function x=generate(dim,type,iscomplex)
  Conv=@(x) Thrust.toCtype(x,type);
  if iscomplex
    assert( ~strcmp(type,'logical') );
    if strcmp(type,'unsigned')
      x=complex(Conv(randi(100,dim,1)),Conv(randi(100,dim,1)));
    elseif strcmp(type,'int')
      x=complex(Conv(randi(100,dim,1)-50),Conv(randi(100,dim,1)-50));
    else
      x=complex(Conv(randn(dim,1)),Conv(randn(dim,1)));
    end
  else
    if strcmp(type,'logical')
      x=Conv(randi(100,dim,1)<=50);
    else
      if strcmp(type,'unsigned')
        x=Conv(randi(100,dim,1));
      elseif strcmp(type,'int')
        x=Conv(randi(100,dim,1)-50);
      else
        x=Conv(randn(dim,1));
      end
    end
  end
end