function DevProp=GetDeviceProperties(varargin)
% GetDeviceProperties  Returns information about the compute-device number 0.
% GetDeviceProperties(devNum)  Returns information about the compute-device 
%   number devNum.
% Interface to cudaGetDeviceProperties function (CUDA Runtime API)
  if nargin==0, device=0;else, device=varargin{1};end
  DevProp=mex_cudaGetDeviceProperties(device);
end