function objout=cummin(obj)
% CUMMIN  Returns the cumulative minimum values of a mThrust vector.
%    
%    Example
%       x = Thrust.randn(10);
%       y = cummin(x);
%
% Francois Cuvelier 2013-2016
    assert(~obj.complex, Messages(0));
    objout=mThrust(obj.dim,obj.container,obj.type);
    mex_mThrust_cummin(obj,objout);
end