#include <iostream>
#include <string>
#include "textcolors.h"
#include "ObjectHandle.h"
#include "mThrust.h"
#include "mex.h"

#define MESS "mThrustToolbox:abs"

/*! Returns the magnitude (also known as absolute value) of a \p complex.
 * 
 *  \param z The \p complex from which to calculate the absolute value.
 */
template <typename Tin, typename Tout>
struct cmath_functor : public thrust::unary_function< Tin , Tout >
{
  __host__ __device__
  Tout operator()( const Tin &z) const
  {
    return abs(z);
  }
}; 

#include "mex_mThrust_cmathfun10_gen.cu"