#include <iostream>
#include <string>
#include "textcolors.h"
#include "ObjectHandle.h"
#include "mThrust.h"
#include "mex.h"

#define MESS "mThrustToolbox:imag"

template <typename T>
struct cmath_functor : public thrust::unary_function< T , thrust::complex<T> >
{
  __host__ __device__
  T operator()( thrust::complex<T> z) const
  {
    return z.imag();
  }
};

#include "mex_mThrust_cmathfun1_gen.cu"