#include <iostream>
#include <string>
#include "textcolors.h"
#include "ObjectHandle.h"
#include "mThrust.h"
#include "mex.h"

#define MESS "mThrustToolbox:norm"

/*! Returns the square of the magnitude of a \p complex.
 * 
 *  \param z The \p complex from which to calculate the norm.
 */
template <typename T>
struct cmath_functor : public thrust::unary_function< T , thrust::complex<T> >
{
  __host__ __device__
  T operator()( thrust::complex<T> z) const
  {
    return norm(z);
  }
};

#include "mex_mThrust_cmathfun1_gen.cu"