function allruns(varargin)
Thrust.init()
p = inputParser; 
p.addParamValue('verbose', 1, @(x) isscalar(x) & isnumeric(x));
p.parse(varargin{:});
verbose=p.Results.verbose;

Thrust.valid.constructor('verbose',verbose)
Thrust.valid.gather('verbose',verbose)
Thrust.valid.ones('verbose',verbose)
Thrust.valid.sequence('verbose',verbose)
Thrust.valid.linspace('verbose',verbose)
Thrust.valid.zeros('verbose',verbose)
Thrust.valid.set('verbose',verbose)
Thrust.valid.plus('verbose',verbose)
Thrust.valid.minus('verbose',verbose)
Thrust.valid.times('verbose',verbose)
Thrust.valid.power('verbose',verbose)
Thrust.valid.rdivide('verbose',verbose)
Thrust.valid.ldivide('verbose',verbose)
Thrust.valid.eq('verbose',verbose)
Thrust.valid.ne('verbose',verbose)
cfuns={'cos','sin','tan','cosh','sinh','tanh','acos','asin','atan','acosh','asinh','atanh','exp','log','log10','sqrt'};
for i=1:length(cfuns)
  Thrust.valid.cmath('cfun',cfuns{i},'verbose',verbose)
end
funs={'erf','erfc','erfcx','erfinv','erfcinv','expm1','floor','log1p','log2'};
for i=1:length(funs)
  Thrust.valid.math('fun',funs{i},'verbose',verbose)
end
% dfuns={'exp2','exp10'}; not defined in Matlab
Thrust.valid.j0('verbose',verbose)
Thrust.valid.j1('verbose',verbose)
Thrust.valid.jn('verbose',verbose)

Thrust.valid.sum('verbose',verbose)
Thrust.valid.subsref('verbose',verbose)
Thrust.valid.subsasgn('verbose',verbose)

Thrust.valid.and('verbose',verbose)
Thrust.valid.or('verbose',verbose)
Thrust.valid.not('verbose',verbose)
%  Thrust.valid.inline.not('verbose',verbose)
%  Thrust.valid.inline.and('verbose',verbose)
%  Thrust.valid.inline.or('verbose',verbose)
Thrust.valid.abs('verbose',verbose)
Thrust.valid.sort_by_key('verbose',verbose);
