function obj=rand(n,varargin)
%   
  p = inputParser; 
  p.addParamValue('container', 'device', @(x) ismember(x,Thrust.getContainers()));
  p.addParamValue('type', 'double', @(x) ismember(x,{'double','float','int','unsigned'}));
  p.addParamValue('complex', false, @islogical);
  p.addParamValue('interval',[0,1], @(x) isnumeric(x) & length(x)==2);
  p.parse(varargin{:});
  container=p.Results.container;
  type=p.Results.type;
  a=p.Results.interval(1);b=p.Results.interval(2);
  obj=mThrust(n,container,type,p.Results.complex);
  mex_mThrust_rand(obj,Thrust.toCtype(a,type),Thrust.toCtype(b,type),uint32(randi(10^8,1)));
end
