function varargout=find(varargin)
% sort mThrust
%
% syntax:
%   - find(A)  
%   - I=find(A); I such that A(I)==0
  assert( (nargin==1) && (nargout==1),'mThrust:find bad input/ouput')
  assert( Thrust.ismThrust(varargin{1}),'mThrust:find input value must be a mThrust object')
  obj=varargin{1};
  varargout{1}=Thrust.zeros(obj.dim,'container',obj.container,'type','int');
  mex_mThrust_find(obj,varargout{1});
  varargout{1}.dim=mex_mThrust_getSize(varargout{1});
end % sort