#include <iostream>
#include <string>
#include "textcolors.h"
#include "ObjectHandle.h"
#include "mThrust.h"
#include "mex.h"

template <typename T>
__host__ __device__
inline T exp10(const T& z){
  return z;
}

template <typename T>
struct cmath_functor : public thrust::unary_function< T , T >
{
  __host__ __device__
  T operator()( T x) const
  {
    return exp10( x );
  }
};

#include "mex_mThrust_cmathfun_gen.cu"