#ifndef _TEXTCOLORS_H
#define _TEXTCOLORS_H
// Black(0), Red(1), Green(2), Yellow(3), Blue(4), Magenta(5), Cyan(6), White(7)
// select terminal text color :  "\033[22;3xm" where x is color number 
// select terminal text light color :  "\033[01;3xm" where x is color number 
#define TEXTCOLOR_RED     "\033[01;31m"
#define TEXTCOLOR_GREEN   "\033[01;32m"
#define TEXTCOLOR_YELLOW  "\033[01;33m"
#define TEXTCOLOR_BLUE    "\033[01;34m"
#define TEXTCOLOR_MAGENTA "\033[01;35m"
#define TEXTCOLOR_CYAN    "\033[01;36m"
#define TEXTCOLOR_END     "\033[0m"

#define DEBUGCOLOR TEXTCOLOR_RED
#define VERBOSECOLOR TEXTCOLOR_BLUE
#define GPUMEMORYCOLOR TEXTCOLOR_GREEN
#define MEXCOLOR TEXTCOLOR_MAGENTA
#endif