#include <cuda.h>
#include "mex.h"

void mexFunction( int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[] ){
  if (nlhs !=2 || nrhs !=0) 
    mexErrMsgTxt("Bad input... To do");
  mwSize dims[2]={1,1};
  size_t free_byte,tot_byte;
  cudaMemGetInfo(&free_byte,&tot_byte);
  plhs[0]=mxCreateNumericArray(2, dims, mxDOUBLE_CLASS, mxREAL);
  double *pmem_free = mxGetPr(plhs[0]);
  *pmem_free = ((double)free_byte)/1024.0/1024.0;
  plhs[1]=mxCreateNumericArray(2, dims, mxDOUBLE_CLASS, mxREAL);
  double *pmem_tot = mxGetPr(plhs[1]);
  *pmem_tot = ((double)tot_byte)/1024.0/1024.0;
}