#include <iostream>
#include <string>
#include "textcolors.h"
#include "ObjectHandle.h"
#include "mThrust.h"
#include "mex.h"

#define MESS "mThrustToolbox:setimag"

template <typename T> 
struct trans_binary_functor : public thrust::binary_function<T,thrust::complex<T>,thrust::complex<T> >
{
  __host__ __device__
  thrust::complex<T> operator()(const T & x,const thrust::complex<T> & z2) const { 
    thrust::complex<T> z=z2;z.imag(x);
    return z;
  }
};

#include "mex_mThrust_cmathfun3_gen.cu"